<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MFaceHLineProp Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MFaceHLineProp Struct Reference<br/>
<small>
[<a class="el" href="group__m17nFace.html">Face</a>]</small>
</h1><!-- doxytag: class="MFaceHLineProp" -->
<p>Type of horizontal line spec of face.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1">MFaceHLineType</a> { <br/>
&nbsp;&nbsp;<a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a00585882f8bc62783cfb368404679015">MFACE_HLINE_BOTTOM</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1af3f568edf277b29e33ec1e4830487295">MFACE_HLINE_UNDER</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a8fb841d5ab52cbf95734efefb63f89d8">MFACE_HLINE_STRIKE_THROUGH</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a17b353359fbe1d9ea61d4ddd87a9e12f">MFACE_HLINE_OVER</a>, 
<br/>
&nbsp;&nbsp;<a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1a2e4ec14d0b821b028754f324c5e0eefe">MFACE_HLINE_TOP</a>
<br/>
 }</td></tr>
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1">MFaceHLineProp::MFaceHLineType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html#a67da96842d65fa9861e003d3ddf675c1">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html#aa293fae23733380e781d97e191e5ab23">width</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html#ab2e195f9132b4c9c141c5c7f3364a805">color</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Type of horizontal line spec of face. </p>
<p>The type <a class="el" href="structMFaceHLineProp.html" title="Type of horizontal line spec of face.">MFaceHLineProp</a> is to specify the detail of <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="Key of a face property specifying horizontal line.">Mhline</a> property of a face. The value of the property must be a pointer to an object of this type. </p>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="a8783aafd27f22ce309e944e34f602eb1"></a><!-- doxytag: member="MFaceHLineProp::MFaceHLineType" ref="a8783aafd27f22ce309e944e34f602eb1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1">MFaceHLineProp::MFaceHLineType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Type of the horizontal line. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="a8783aafd27f22ce309e944e34f602eb1a00585882f8bc62783cfb368404679015"></a><!-- doxytag: member="MFACE_HLINE_BOTTOM" ref="a8783aafd27f22ce309e944e34f602eb1a00585882f8bc62783cfb368404679015" args="" -->MFACE_HLINE_BOTTOM</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8783aafd27f22ce309e944e34f602eb1af3f568edf277b29e33ec1e4830487295"></a><!-- doxytag: member="MFACE_HLINE_UNDER" ref="a8783aafd27f22ce309e944e34f602eb1af3f568edf277b29e33ec1e4830487295" args="" -->MFACE_HLINE_UNDER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8783aafd27f22ce309e944e34f602eb1a8fb841d5ab52cbf95734efefb63f89d8"></a><!-- doxytag: member="MFACE_HLINE_STRIKE_THROUGH" ref="a8783aafd27f22ce309e944e34f602eb1a8fb841d5ab52cbf95734efefb63f89d8" args="" -->MFACE_HLINE_STRIKE_THROUGH</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8783aafd27f22ce309e944e34f602eb1a17b353359fbe1d9ea61d4ddd87a9e12f"></a><!-- doxytag: member="MFACE_HLINE_OVER" ref="a8783aafd27f22ce309e944e34f602eb1a17b353359fbe1d9ea61d4ddd87a9e12f" args="" -->MFACE_HLINE_OVER</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="a8783aafd27f22ce309e944e34f602eb1a2e4ec14d0b821b028754f324c5e0eefe"></a><!-- doxytag: member="MFACE_HLINE_TOP" ref="a8783aafd27f22ce309e944e34f602eb1a2e4ec14d0b821b028754f324c5e0eefe" args="" -->MFACE_HLINE_TOP</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a67da96842d65fa9861e003d3ddf675c1"></a><!-- doxytag: member="MFaceHLineProp::type" ref="a67da96842d65fa9861e003d3ddf675c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="structMFaceHLineProp.html#a8783aafd27f22ce309e944e34f602eb1">MFaceHLineProp::MFaceHLineType</a>  <a class="el" href="structMFaceHLineProp.html#a67da96842d65fa9861e003d3ddf675c1">MFaceHLineProp::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Type of the horizontal line. </p>

</div>
</div>
<a class="anchor" id="aa293fae23733380e781d97e191e5ab23"></a><!-- doxytag: member="MFaceHLineProp::width" ref="aa293fae23733380e781d97e191e5ab23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFaceHLineProp.html#aa293fae23733380e781d97e191e5ab23">MFaceHLineProp::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Width of the line in pixels. </p>

</div>
</div>
<a class="anchor" id="ab2e195f9132b4c9c141c5c7f3364a805"></a><!-- doxytag: member="MFaceHLineProp::color" ref="ab2e195f9132b4c9c141c5c7f3364a805" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMFaceHLineProp.html#ab2e195f9132b4c9c141c5c7f3364a805">MFaceHLineProp::color</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Color of the line. If the value is Mnil, foreground color of a merged face is used. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
